<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Login or Create Account</title>
    <style type="text/css">
        /* Set the entire page background to the Star Wars image */
        body {
            background-image: url('images/login_form_background.png');
            background-size: cover;
            background-position: center;
            display: flex;
            justify-content: center;
            align-items: center;
            text-align: center;
            margin: 0;
            height: 100vh;
            flex-direction: column;
        }

        /* Style the image in the upper-left corner */
        .top-left-image {
            position: absolute;
            top: 10px; /* Adjust distance from the top edge */
            left: 10px; /* Adjust distance from the left edge */
            max-width: 500px; /* Limit the width to 150px */
            height: auto; /* Maintain aspect ratio */
            z-index: 10; /* Ensure it stays above other elements */
        }
        .form-container {
            background-color: #ffffff;
            opacity: 0.8;
            padding: 20px;
            border-radius: 10px;
            max-width: 400px;
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
            margin-bottom: 20px;
        }

        label {
            font: 13px "Lucida Sans Unicode", "Lucida Grande", sans-serif;
            font-weight: bold;
            color: #300ACC;
        }

        h2 {
            text-align: center;
        }

        img {
            margin-bottom: 20px;
        }
    </style>
</head>
<body>
     <!-- Image in the top-left corner -->
    <img src="images/lego_star_wars_ucs.jpg" class="top-left-image" alt="Star Wars UCS Image">

    <!-- Login Form -->
    <div class="form-container">
        <h2>Login</h2>
        <h3>If you already have an account</h3>
        <form action="handle_form.php" method="post">
            <p><label>Username: <input type="text" name="username" size="20" maxlength="50" required></label></p>
            <p><label>Password: <input type="password" name="password" size="20" maxlength="50" required></label></p>
            <input type="hidden" name="action" value="login">
            <p><input type="submit" value="Login"></p>
        </form>
    </div>

    <!-- Registration Form -->
    <div class="form-container">
        <h2>Create Account</h2>
        <h3>Start here if new to this site</h3>
        <form action="handle_form.php" method="post">
            <p><label>First Name: <input type="text" name="firstname" maxlength="50" required></label></p>
            <p><label>Last Name: <input type="text" name="lastname" maxlength="50" required></label></p>
            <p><label>Phone: <input type="text" name="phone" maxlength="50" required></label></p>
            <p><label>Email: <input type="email" name="email" maxlength="100" required></label></p>
            <p><label>Address Line 1: <input type="text" name="address1" maxlength="50" required></label></p>
            <p><label>Address Line 2: <input type="text" name="address2" maxlength="50"></label></p>
            <p><label>City: <input type="text" name="city" maxlength="50" required></label></p>
            <p><label>State: <input type="text" name="state" maxlength="50"></label></p>
            <p><label>Postal Code: <input type="text" name="postalcode" maxlength="15"></label></p>
            <p><label>Username: <input type="text" name="username" maxlength="50" required></label></p>
            <p><label>Password: <input type="password" name="password" maxlength="50" required></label></p>
            <input type="hidden" name="action" value="register">
            <p><input type="submit" name="create_account" value="Create Account"></p>
        </form>
    </div>
</body>
</html>
